Package org.bgerp.action.admin

# Class DirectoryAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.action.admin.DirectoryAction

public class DirectoryAction extends BaseAction

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `DirectoryAction.Directory`

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DirectoryAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `parameterDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `parameterGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `parameterGroupDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `parameterGroupGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `parameterGroupList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `parameterGroupUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `parameterList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `parameterUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `parameterUseProcess(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `patternTitleDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `patternTitleGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `patternTitleList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `patternTitleUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `unspecified(DynActionForm form, Connection con)`
  Default action method if no parameter 'action' passed.

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DirectoryAction

    public DirectoryAction()

- ## Method Details

  - ### unspecified

    public org.apache.struts.action.ActionForward unspecified(DynActionForm form, Connection con) throws Exception
    Description copied from class: `BaseAction`
    Default action method if no parameter 'action' passed. Overwrite and implement.
    Overrides:
      `unspecified` in class `BaseAction`
    Parameters:
      `form` -
      `con` -
    Returns:
    Throws:
      `Exception`

  - ### parameterList

    public org.apache.struts.action.ActionForward parameterList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### parameterUseProcess

    public org.apache.struts.action.ActionForward parameterUseProcess(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### parameterGet

    public org.apache.struts.action.ActionForward parameterGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### parameterUpdate

    public org.apache.struts.action.ActionForward parameterUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### parameterDelete

    public org.apache.struts.action.ActionForward parameterDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### patternTitleList

    public org.apache.struts.action.ActionForward patternTitleList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### patternTitleGet

    public org.apache.struts.action.ActionForward patternTitleGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### patternTitleUpdate

    public org.apache.struts.action.ActionForward patternTitleUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### patternTitleDelete

    public org.apache.struts.action.ActionForward patternTitleDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### parameterGroupList

    public org.apache.struts.action.ActionForward parameterGroupList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### parameterGroupGet

    public org.apache.struts.action.ActionForward parameterGroupGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### parameterGroupUpdate

    public org.apache.struts.action.ActionForward parameterGroupUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### parameterGroupDelete

    public org.apache.struts.action.ActionForward parameterGroupDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`